<script>
	function NuevoAbono(numfac) {
			parent.location.href="NuevoAbono.php?numfac=" + numfac;
		}


function validar_monto(salact,monabo)
			{
	if (monabo < salact ){

		alert("Atencion, el abono es mayor que el saldo ")
			
			} else {
				alert("Atencion, el abono es memor al saldo:\n\n"+monabo);
	
				}
		}
				///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////
		




salact=""
monabo=""
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = ""

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
        validar_Monto(salact,monabo);		//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)

	
	function pon_prefijo(baseporpagar,basetotpago) {
	parent.document.form_busqueda.saldoporpagar.value=baseporpagar;		
	parent.document.form_busqueda.totalpago.value=basetotpago;
	parent.document.form_busqueda.monabo.value="0.00";
	parent.document.form_busqueda.pagacon.value="0.00";
	parent.document.form_busqueda.vuelto.value="0.00";



}
	
</script>

<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
<body onLoad="nobackbutton();">
<?php 

include ("../conexion.php");
  $cdgcli=$_POST["cdgcli"];
  $numrec=$_POST["numrec"];
    $numfac=$_POST["numfac"];

?>

<div id="xdetalleAW">
  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>

  <table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php

$contador=0;
$sel_lineas = "SELECT entregas_clientes_recibos_lineas.*,web_1001.* FROM entregas_clientes_recibos_lineas,web_1001 WHERE entregas_clientes_recibos_lineas.numrec='$numrec' AND entregas_clientes_recibos_lineas.codigo=web_1001.cdgbar ORDER BY entregas_clientes_recibos_lineas.numlinea ASC";
	
//$sel_lineas=" SELECT * FROM entregas_clientes_recibos_lineas WHERE numrec='$numrec' ORDER BY numlinea ASC ";
if ($resultado = $mysqli->query($sel_lineas)) 

    while ($fila2 = $resultado->fetch_assoc()) {

        $numlinea = $fila2["numlinea"];
        $cdgbar = $fila2["codigo"];
        $dscart = $fila2["dscart"];
		$cantidad = $fila2["cantidad"];
		$cantentrega = $fila2["cantentrega"];
		$cantsaldo = $fila2["cantsaldo"];

	


	if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
			<tr class="<?php echo $fondolinea?>">
				<td width="15%"><?php echo $cdgbar?></td>
				<td width="28%"><div align="left"><?php echo $dscart?></div></td>
                
				<td width="9%" class=""><div align="right"><?php echo $cantidad?></div></td>
               
                
        <td width="25%"><div align="center"><input type="text"   value="<?php echo number_format($cantentrega,2,".",",") ?>"  name="cantidad"  onkeypress="return tabE(this,event)"  style='text-align:right;'   onChange="actualizar_articulo('<?php echo  $codfactura ?>',<?php echo $numlinea ?>,<?php echo  $cdgbar ?>,this.value)"   maxlength="15" size="8" autocomplete="off"  disabled   /> </div></td>
 
			
				<td width="17%"><div align="center"><?php echo number_format($cantsaldo,2,".",",")?></div></td>
                 
                <td width="6%"></td>
			</tr>
					
					
					

			
<?php 



$contador++;
}


?>



</table>


<blockquote>&nbsp;	</blockquote>
</div>



</body>
</html>